gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Retrieve an integer or floating-point number from the user.

A SpinButton is an ideal way to allow the user to enter a numeric value. Rather than having to directly type a number into an , a SpinButton allows the user to click on one of two arrows to increment or decrement the displayed value. A value can still be typed in, with the added benefit that it can be checked to ensure it is within a given range.

To precisely configure a SpinButton, an is used. Though it is not mandatory, its use allows fine control over the 'spinning' properties of the SpinButton.

A SpinButton is typically created by setting up an and passing that to the SpinButton's constructor. The value entered by a user can then be retrieved using either the property or the property.

The following demonstrates how to get an integer from a SpinButton: `// Creates a window with a spin button public void CreateSpinButton() { Window window = new Window(); window.BorderWidth = 5; // Create a spin button for percentage values. SpinButton spinner = new SpinButton(0f, 100f, 1f); spinner.ValueChanged += new EventHandler(OutputValue); window.Add(spinner); window.ShowAll(); } // Handles ValueChanged events and writes to the console private void OutputValue(object source, System.EventArgs args) { SpinButton spinner = source as SpinButton; System.Console.WriteLine("Current value is: " + spinner.ValueAsInt); }`

Gtk.Entry Gtk.Editable GLib.IWrapper Gtk.CellEditable Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Changes the value of the SpinButton by . A direction that indicates if the SpinButton should be incremented or decremented. The amount to adjust the SpinButton by.
- Method
  System.Void `` `` Find out the minimum and maximum allowed input values. The minimum value that can be accepted. The maximum value that can be accepted.
- Method
  System.Void `` `` `` Configures various properties of the SpinButton. An optional to configure certain properties, null otherwise. The value to adjust the SpinButton by when one of its arrows are clicked. The number of decimal places to display.

  An is used to configure a variety of the properties for a SpinButton. See the documentation for the members for more information.

- Method
  System.Void Forces the SpinButton to update its value
- Method
  System.Void `` `` Sets the step and page increments. The amount to change the spin button by when the user clicks with button 1, (usually the left mouse button). The amount to change the spin button by when the user clicks with button 2, (usually the middle mouse button).

  Changing the values with this method alters how quickly the SpinButton's value changes when its arrows are activated.

- Method
  System.Void `` `` Alters the minimum and maximum allowable values. The minimum value that can be entered. The maximum value that can be entered.
- Method
  System.Void `` `` Retrieve the current step and page increments. Outputs the value that a spin button is changed by when the user clicks with button 1, (usually the left mouse button). Outputs the value that a spin button is changed by when the user clicks with button 2, (usually the middle mouse button).
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of SpinButton, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new SpinButton based on the specified .
  A
  A
  A
  A
- Constructor
  Creates a SpinButton without the need for a manually created .
  Minimum allowable value.
  Maximum allowable value.
  The value to alter the SpinButton by when a is carried out on it.
  A new SpinButton.

  The default value of the new SpinButton is initially set to .

  The default page increment is set to 10 * .

  The visible precision of the spin button is equivalent to the precision of .

- Property
  System.Int32 Retrieve the current value as an integer. The value of the SpinButton with integer precision.
- Property
  System.Boolean Manage whether or not the SpinButton accepts non-numeric input. if non-numeric text can be entered into the text entry of the SpinButton, otherwise. Whether the SpinButton currently accepts only numeric input.
- Property
  System.Double The acceleration rate when user holds down a button. A A
- Property
  System.Boolean Manage whether a SpinButton's value wraps around to the opposite limit when the upper or lower limit of the range is exceeded. Set to to cause values to wrap from maximum to minimum, to force the value at the limits to remain unchanged. Whether this SpinButton wraps its maximum/minimum values when spinning.

  If this property is set to , then when the user tries to change the value in a SpinButton, (usually by clicking one of the arrows), the next value after the maximum will wrap to the minimum.

  Alternatively, if this property is set to , then trying to increase the value of the SpinButton when it is at the maximum value, will have no effect. Likewise when trying to decrement the value at its minimum.

- Property
  System.Double The current value of the SpinButton. Sets a new value in this SpinButton The current value of the SpinButton.

  The value of the SpinButton is limited by the precision set with the property.

- Property
  System.UInt32 Manage the precision that this SpinButton's value is displayed with. The number of digits to be displayed for the spin button's value. The maximum number of digits that the SpinButton will currently display.

  Up to 20 digit precision is allowed.

- Property
  System.Boolean Manage whether values are corrected to the nearest step increment when a SpinButton is activated with an invalid value. if invalid values should be corrected, otherwise. if values are snapped to the nearest step, otherwise.
- Property
  Gtk.SpinButtonUpdatePolicy The policy for how to update this SpinButton when its value changes. A A
- Property
  Gtk.Adjustment The lower/upper/step range of this widget's values. A A
- Event
  Gtk.OutputHandler Fired when this widget outputs its value.
- Event
  System.EventHandler This event is fired after the SpinButton's value changes.
- Event
  Gtk.InputHandler Fired when the user inputs a new value.
- Event
  Gtk.ChangeValueHandler Fired in order to change the button's value.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Int32 `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Int32 Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.